import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const senfGetInventoryAllocatedService = createAsyncThunk(
  "SENF_GET_INVENTORY_ALLOCATED_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("steward-allocation/", {
      params: {
        date1: d.date1,
        date2: d.date2,
        type: d.type || "",
        role_key: d.role_key || "",
        role: getRoleFromUrl(),
        search: d.search,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
